/*
** $Id: conf-internal.h,v 1.2 2002/09/24 22:05:13 pief Exp $
**
** MetalServe common stuff
** Copyright (c) 2002 by Pieter Hollants <contact@metalserve.org>
**
** This program is licensed under the GNU General Public License, version 2,
** as published by the Free Software Foundation and available in the file
** COPYING and the Internet location http://www.gnu.org/licenses/gpl.html.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
** or FITNESS FOR A PARTICULAR PURPOSE.
**
** conf.c-internal header file for configuration parser functions
**
** $Log: conf-internal.h,v $
** Revision 1.2  2002/09/24 22:05:13  pief
** For some reason I checked in ancient versions, so here are the current
** ones
**
*/

#include <stdio.h>

/*
** Maximum support length of lines in the configuration file
*/
#define MAX_CFG_LINELEN 1024

/*
** The CFGFILE structure keeps everything related to a particular configuration file.
*/
struct _cfgfile
{
	FILE		*fp;				/* The stream used to read the config file */

	int		flags;				/* Flags associated with this config file */

	int		cfgerrno;			/* Configuration error code (as defined below) */
	char		*cfgerrstr;			/* Associated error message */

	char		linebuf[MAX_CFG_LINELEN],	/* Contents of last line read */
			*linep,				/* Pointer into linebuf */
			*dstr,				/* Pointer to directive part */
			*argstr;			/* Pointer to argument part */
	int		lineno;				/* Current line number */
	
	CFGDIRECTIVE	*d;				/* Known directive */
};
